Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jnp.server
Class NamingServer

    java.lang.Object
      org.jnp.server.NamingServer

All Implemented Interfaces:
  Naming, Remote, Serializable

public class NamingServer
extends Object
implements Naming, Serializable

The JNDI naming server implementation class.

Version:
  $Revision: 1.12.6.2 $
Author:
  patriot1burke, Scott.Stark@jboss.org
See Also:
  Serialized Form

Field Summary
`protected NamingServer` | `parent`
`protected NamingParser` | `parser`
`protected Name` | `prefix`
`protected Hashtable` | `table`

Constructor Summary
`NamingServer()`
`NamingServer(Name prefix, NamingServer parent)`

Method Summary
`void` | `bind(Name name, Object obj, String className)`
`Context` | `createSubcontext(Name name)`
`Naming` | `getRoot()`
`Collection` | `list(Name name)`
`Collection` | `listBindings(Name name)`
`Object` | `lookup(Name name)`
`void` | `rebind(Name name, Object obj, String className)`
`void` | `unbind(Name name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### table

    protected Hashtable table

### prefix

    protected Name prefix

### parser

    protected NamingParser parser

### parent

    protected NamingServer parent

Constructor Detail

### NamingServer

    public NamingServer()
                 throws NamingException

### NamingServer

    public NamingServer(Name prefix,
                        NamingServer parent)
                 throws NamingException

Method Detail

### bind

    public void bind(Name name,
                     Object obj,
                     String className)
              throws NamingException

  Specified by:
    `bind` in interface `Naming`
  Throws:
    `NamingException`

### rebind

    public void rebind(Name name,
                       Object obj,
                       String className)
                throws NamingException

  Specified by:
    `rebind` in interface `Naming`
  Throws:
    `NamingException`

### unbind

    public void unbind(Name name)
                throws NamingException

  Specified by:
    `unbind` in interface `Naming`
  Throws:
    `NamingException`

### lookup

    public Object lookup(Name name)
                  throws NamingException

  Specified by:
    `lookup` in interface `Naming`
  Throws:
    `NamingException`

### list

    public Collection list(Name name)
                    throws NamingException

  Specified by:
    `list` in interface `Naming`
  Throws:
    `NamingException`

### listBindings

    public Collection listBindings(Name name)
                            throws NamingException

  Specified by:
    `listBindings` in interface `Naming`
  Throws:
    `NamingException`

### createSubcontext

    public Context createSubcontext(Name name)
                             throws NamingException

  Specified by:
    `createSubcontext` in interface `Naming`
  Throws:
    `NamingException`

### getRoot

    public Naming getRoot()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.